# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'binder_sdk/version'

Gem::Specification.new do |spec|
  spec.name          = "binder_sdk"
  spec.version       = BinderSDK::VERSION
  spec.authors       = ["Jeremy Walker"]
  spec.email         = ["jez.walker@gmail.com"]
  spec.description   = "Binder's SDK"
  spec.summary       = "The SDK for Binder"
  spec.homepage      = "http://github.com/meducation/binder_sdk"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", '>= 3.2.15'
  spec.add_dependency "loquor", '~> 1.2'
  spec.add_dependency "filum", '~> 2.0'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest", '~> 5.0.8'
  spec.add_development_dependency "mocha"
end
